osl::checkmate Namespace Reference

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Namespaces | Classes | Enumerations | Functions | Variables
osl::checkmate Namespace Reference

詰将棋関係 More...

## Namespaces
| detail

## Classes
struct | CheckmateIfCapture
class | CheckMoveVector
class | DfpnTable
| 詰探索局面表 – 並列でも共有する部分 More...
class | Dfpn
| 詰探索 More...
class | DfpnShared
struct | DfpnRecordBase
class | DfpnRecord
struct | DisproofPieces
class | DualDfpn
| 一般用詰み探索: 先手後手の詰みを別々に管理 More...
class | FixedDepthSearcher
| 深さ固定で，その深さまで depth first searchで読む詰将棋. More...
struct | FixedAttackHelper
struct | FixedDefenseHelper
| Pは動かす側ではなく攻撃側 More...
class | FixedDepthSearcher2
| 深さ固定で，その深さまで depth first searchで読む詰将棋. More...
class | ImmediateCheckmate
class | ImmediateCheckmateTable
class | King8Info
| 敵玉の8近傍の状態を表す. More...
class | EdgeTable
struct | PureLibertyEstimator
struct | LibertyEstimator
| 玉の動ける場所を基本としたHの推定. More...
struct | OracleAdjust
struct | PawnCheckmateMoves
struct | PieceCost
| 駒の損得に基づいたcostの推定 More...
class | ProofDisproof
| 証明数(proof number)と反証数(disproof number). More...
class | ProofNumberTable
struct | ProofPieces
struct | ProofPiecesUtil
| ProofPieces と DisproofPieces に共通の関数 More...
class | ProofTreeDepthDfpn
| 詰までの手数を数える. More...
struct | SimpleTwinList
struct | DfpnPathRecord
struct | DfpnVisitLock
struct | DfpnPathList
class | DfpnPathTable

## Enumerations
enum | { CheckOrEscapeMaxUniqMoves = Move::MaxUniqMoves/4 }
enum | LoopToDominance { NoLoop =0, BadAttackLoop }

## Functions
std::ostream & | operator<< (std::ostream &, King8Info)
size_t | limitToCheckCount (int limit)
bool | operator== (const ProofDisproof &l, const ProofDisproof &r)
bool | operator!= (const ProofDisproof &l, const ProofDisproof &r)
bool | operator< (const ProofDisproof &l, const ProofDisproof &r)
std::ostream & | operator<< (std::ostream &os, const ProofDisproof &proofDisproof)
int | log2 (uint32_t n)
int | slow_increase (uint32_t n)
int | attackProofCost (Player attacker, const NumEffectState &state, Move move)

## Variables
const ImmediateCheckmateTable | Immediate_Checkmate_Table
const EdgeTable | Edge_Table
const ProofNumberTable | Proof_Number_Table
CArray< size_t, 32 > | LimitToCheckCountTable

## Detailed Description

詰将棋関係

## Enumeration Type Documentation

anonymous enum

Enumerator
CheckOrEscapeMaxUniqMoves |

Definition at line 12 of file checkMoveVector.h.

enum osl::checkmate::LoopToDominance

Enumerator
NoLoop |
BadAttackLoop |

Definition at line 189 of file dfpn.cc.

## Function Documentation

int osl::checkmate::attackProofCost | ( | Player | attacker,
|  | const NumEffectState & | state,
|  | Move | move
| ) |  |

Definition at line 330 of file dfpn.cc.

References osl::alt(), osl::checkmate::PieceCost::attack_sacrifice_cost, osl::Move::from(), osl::Move::isCapture(), osl::Square::isPieceStand(), osl::Move::ptype(), and osl::Move::to().

Referenced by osl::checkmate::Dfpn::attack().

size_t osl::checkmate::limitToCheckCount | ( | int | limit) |  |
| inline

Definition at line 11 of file limitToCheckCount.h.

References LimitToCheckCountTable.

Referenced by osl::search::AlphaBeta2Tree< EvalT >::tryCheckmate().

int osl::checkmate::log2 | ( | uint32_t | n) |  |
| inline

Definition at line 106 of file dfpn.cc.

Referenced by slow_increase().

bool osl::checkmate::operator!= | ( | const ProofDisproof & | l,
|  | const ProofDisproof & | r
| ) |  |
| inline

Definition at line 144 of file proofDisproof.h.

bool osl::checkmate::operator< | ( | const ProofDisproof & | l,
|  | const ProofDisproof & | r
| ) |  |
| inline

Definition at line 148 of file proofDisproof.h.

References osl::checkmate::ProofDisproof::ulonglongValue().

std::ostream & osl::checkmate::operator<< | ( | std::ostream & | os,
|  | const ProofDisproof & | proofDisproof
| ) |  |

Definition at line 13 of file proofDisproof.cc.

References osl::checkmate::ProofDisproof::disproof(), and osl::checkmate::ProofDisproof::proof().

std::ostream & osl::checkmate::operator<< | ( | std::ostream & | os,
|  | King8Info | info
| ) |  |

Definition at line 11 of file king8Info.cc.

References osl::checkmate::King8Info::dropCandidate(), osl::checkmate::King8Info::liberty(), osl::checkmate::King8Info::libertyCandidate(), and osl::checkmate::King8Info::moveCandidate2().

bool osl::checkmate::operator== | ( | const ProofDisproof & | l,
|  | const ProofDisproof & | r
| ) |  |
| inline

Definition at line 140 of file proofDisproof.h.

References osl::checkmate::ProofDisproof::ulonglongValue().

int osl::checkmate::slow_increase | ( | uint32_t | n) |  |
| inline

Definition at line 110 of file dfpn.cc.

References log2().

Referenced by osl::checkmate::Dfpn::attack(), and osl::checkmate::Dfpn::defense().

## Variable Documentation

const checkmate::EdgeTable osl::checkmate::Edge_Table

Definition at line 147 of file tables.cc.

Referenced by osl::checkmate::FixedDepthSearcher::attack(), and osl::checkmate::Dfpn::attack().

const checkmate::ImmediateCheckmateTable osl::checkmate::Immediate_Checkmate_Table

Definition at line 145 of file tables.cc.

Referenced by osl::move_probability::StateInfo::clearOldCache(), osl::move_probability::StateInfo::findCheckmateDefender(), osl::checkmate::ImmediateCheckmate::hasCheckmateDrop(), osl::checkmate::ImmediateCheckmate::hasCheckmateMoveDirPiece(), osl::checkmate::detail::slowCheckDrop(), and osl::checkmate::ImmediateCheckmate::slowHasCheckmateMoveDirPiece().

CArray<size_t,32> osl::checkmate::LimitToCheckCountTable

Definition at line 7 of file limitToCheckCount.cc.

Referenced by limitToCheckCount().

const checkmate::ProofNumberTable osl::checkmate::Proof_Number_Table

Definition at line 146 of file tables.cc.

Referenced by osl::checkmate::FixedDepthSearcher2::attack(), osl::checkmate::FixedDepthSearcher::attack(), and osl::checkmate::PureLibertyEstimator::attackH().